For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • GETGet Account
      • GETGet Account membership
      • GETGet Accounts for User

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceAccounts

Get Accounts for User

GET
https://api.frame.io/v2/accounts
GET
/v2/accounts
1import requests
2
3url = "https://api.frame.io/v2/accounts"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1[
2 {
3 "invoice_emails": [
4 "string"
5 ],
6 "city": "string",
7 "account_default_color": "string",
8 "company_name": "string",
9 "storage": 1,
10 "file_count": 1,
11 "owner": {
12 "digest_frequency": "string",
13 "image_32": "string",
14 "image_128": "string",
15 "from_google": true,
16 "mfa_enforced_at": "string",
17 "email": "string",
18 "name": "string",
19 "image_64": "string",
20 "timezone_value": "string",
21 "account_id": "string",
22 "updated_at": "string",
23 "image_256": "string",
24 "_type": "string",
25 "user_hash": "string",
26 "upload_url": "string",
27 "profile_image": "string",
28 "first_login_at": "string",
29 "joined_via": "string",
30 "id": "string",
31 "next_digest_date": "string",
32 "last_seen": "string",
33 "inserted_at": "string",
34 "from_adobe": true,
35 "avatar_color": "string",
36 "highest_account_role": "string",
37 "integrations": [
38 "string"
39 ],
40 "roles": {
41 "admin": true,
42 "id": "string",
43 "sales": true,
44 "support": true,
45 "service_desk": true
46 },
47 "user_default_color": "string"
48 },
49 "upload_url": "string",
50 "deleted_at": "2024-01-15T09:30:00Z",
51 "line1": "string",
52 "postal_code": "string",
53 "vat": "string",
54 "company_address": "string",
55 "lifetime_file_count": 1,
56 "state": "string",
57 "teams": [
58 {
59 "account_id": "string",
60 "disable_sbwm_internally": false,
61 "creator_id": "string",
62 "storage": 0,
63 "default_font_color": "string",
64 "access": "private",
65 "font_color": "string",
66 "user_role": {},
67 "file_count": 0,
68 "default_session_watermark_template": {
69 "account_id": "string",
70 "app_default": false,
71 "creator_id": "string",
72 "id": "string",
73 "name": "string",
74 "watermark_blocks": [
75 {
76 "alpha": 0.5,
77 "data_points": [
78 {
79 "order": 1,
80 "type": "email",
81 "value": "string"
82 }
83 ],
84 "font_size": "medium",
85 "name": "string",
86 "position": "top_left",
87 "position_reference_point": "top_left",
88 "position_x": 1,
89 "position_y": 1,
90 "scroll_text": "none",
91 "text_alignment": "left",
92 "text_color": "#FFFFFF",
93 "text_shadow": false
94 }
95 ]
96 },
97 "link": "string",
98 "asset_lifecycle_policy": 1,
99 "upload_url": "string",
100 "admin_only_actions": {
101 "lifecycle": false
102 },
103 "deleted_at": "2024-01-15T09:30:00Z",
104 "default_background_color": "string",
105 "storage_limit": 1,
106 "location": "string",
107 "name": "string",
108 "default_color": "string",
109 "slack_webhook": {},
110 "image_64": "string",
111 "archived_storage": 0,
112 "image_128": "string",
113 "solo": false,
114 "image_32": "string",
115 "inserted_at": "2024-01-15T09:30:00Z",
116 "updated_at": "2024-01-15T09:30:00Z",
117 "project_count": 0,
118 "duration": 0,
119 "team_image": "string",
120 "collaborator_count": 0,
121 "bio": "string",
122 "color": "string",
123 "email_branding": {
124 "accent_color": "string",
125 "background_color": "string",
126 "image": {
127 "bucket": "string",
128 "key": "string",
129 "type": "image/jpeg",
130 "uploaded": false
131 }
132 },
133 "folder_count": 0,
134 "dark_theme": false,
135 "default_session_watermark_template_id": "string",
136 "session_watermark_templates": [
137 {
138 "account_id": "string",
139 "app_default": false,
140 "creator_id": "string",
141 "id": "string",
142 "name": "string",
143 "watermark_blocks": [
144 {
145 "alpha": 0.5,
146 "data_points": [
147 {
148 "order": 1,
149 "type": "email",
150 "value": "string"
151 }
152 ],
153 "font_size": "medium",
154 "name": "string",
155 "position": "top_left",
156 "position_reference_point": "top_left",
157 "position_x": 1,
158 "position_y": 1,
159 "scroll_text": "none",
160 "text_alignment": "left",
161 "text_color": "#FFFFFF",
162 "text_shadow": false
163 }
164 ]
165 }
166 ],
167 "id": "string",
168 "member_limit": 1,
169 "frames": 0,
170 "member_count": 0,
171 "image_256": "string",
172 "background_color": "string"
173 }
174 ],
175 "image_64": "string",
176 "archived_storage": 1,
177 "image_128": "string",
178 "owner_id": "string",
179 "user_count": 1,
180 "locked_at": "2024-01-15T09:30:00Z",
181 "image": "string",
182 "team_count": 1,
183 "collaborator_role_count": 1,
184 "billing_emails": "string",
185 "image_32": "string",
186 "unpaid_at": "2024-01-15T09:30:00Z",
187 "inserted_at": "2024-01-15T09:30:00Z",
188 "updated_at": "2024-01-15T09:30:00Z",
189 "project_count": 1,
190 "duration": 1,
191 "delinquent_at": "2024-01-15T09:30:00Z",
192 "collaborator_count": 1,
193 "plan": {
194 "archived_storage_limit": 1,
195 "autoscaling": true,
196 "available_features": {
197 "archival_storage": true,
198 "custom_branded_emails": true,
199 "custom_branded_presentations": true,
200 "reel_player": true,
201 "secure_sharing": true,
202 "session_based_watermarking": true,
203 "team_only_comments": true
204 },
205 "collaborator_limit": 1,
206 "cost": 1,
207 "default_plan": true,
208 "deleted_at": "2024-01-15T09:30:00Z",
209 "enterprise": true,
210 "file_limit": 1,
211 "id": "string",
212 "inserted_at": "2024-01-15T09:30:00Z",
213 "lifetime_file_limit": 1,
214 "member_limit": 1,
215 "name": "string",
216 "payment_method": "stripe",
217 "period": "monthly",
218 "project_limit": 1,
219 "storage_limit": 1,
220 "team_limit": 1,
221 "tier": "free",
222 "title": "string",
223 "updated_at": "2024-01-15T09:30:00Z",
224 "user_limit": 1,
225 "user_max": 1,
226 "version": 1
227 },
228 "watermark": {
229 "image": {
230 "alpha": 0.5,
231 "image": {
232 "bucket": "string",
233 "key": "string",
234 "type": "image/jpeg",
235 "uploaded": false
236 },
237 "position": "top_left"
238 },
239 "text": {
240 "alpha": 0.5,
241 "lines": [
242 "string"
243 ],
244 "position": "top"
245 }
246 },
247 "folder_count": 1,
248 "id": "string",
249 "display_name": "string",
250 "country": "string",
251 "subscription": {
252 "account_id": "string",
253 "archived_storage_limit": 1,
254 "balance": 1,
255 "cancellation_option": "string",
256 "cancellation_reason": "string",
257 "cancelled_at": "2024-01-15T09:30:00Z",
258 "deleted_at": "2024-01-15T09:30:00Z",
259 "id": "string",
260 "inserted_at": "2024-01-15T09:30:00Z",
261 "last_payment_at": "2024-01-15T09:30:00Z",
262 "member_limit": 1,
263 "next_bill_at": "2024-01-15T09:30:00Z",
264 "on_trial": true,
265 "plan": {
266 "archived_storage_limit": 1,
267 "autoscaling": true,
268 "available_features": {
269 "archival_storage": true,
270 "custom_branded_emails": true,
271 "custom_branded_presentations": true,
272 "reel_player": true,
273 "secure_sharing": true,
274 "session_based_watermarking": true,
275 "team_only_comments": true
276 },
277 "collaborator_limit": 1,
278 "cost": 1,
279 "default_plan": true,
280 "deleted_at": "2024-01-15T09:30:00Z",
281 "enterprise": true,
282 "file_limit": 1,
283 "id": "string",
284 "inserted_at": "2024-01-15T09:30:00Z",
285 "lifetime_file_limit": 1,
286 "member_limit": 1,
287 "name": "string",
288 "payment_method": "stripe",
289 "period": "monthly",
290 "project_limit": 1,
291 "storage_limit": 1,
292 "team_limit": 1,
293 "tier": "free",
294 "title": "string",
295 "updated_at": "2024-01-15T09:30:00Z",
296 "user_limit": 1,
297 "user_max": 1,
298 "version": 1
299 },
300 "plan_id": "string",
301 "promotion_expires_at": "2024-01-15T09:30:00Z",
302 "promotion_id": "string",
303 "requires_autoscaling": true,
304 "storage_limit": 1,
305 "subscription_end_at": "2024-01-15T09:30:00Z",
306 "total_archived_storage_limit": 1,
307 "total_lifetime_file_limit": 1,
308 "total_member_limit": 1,
309 "total_project_limit": 1,
310 "total_storage_limit": 1,
311 "total_user_limit": 1,
312 "updated_at": "2024-01-15T09:30:00Z",
313 "user_limit": 1
314 },
315 "account_members": [
316 {
317 "accepted_at": "2024-01-15T09:30:00Z",
318 "account_id": "string",
319 "declined_at": "2024-01-15T09:30:00Z",
320 "deleted_at": "2024-01-15T09:30:00Z",
321 "inserted_at": "2024-01-15T09:30:00Z",
322 "role": "admin",
323 "updated_at": "2024-01-15T09:30:00Z",
324 "user_id": "string"
325 }
326 ],
327 "frames": 1,
328 "member_count": 1,
329 "image_256": "string"
330 }
331]
Fetch all Accounts that a given User has access to
Was this page helpful?
Previous

Advanced search for Assets

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response headers

linkstring
Pagination links
page-numberinteger
Current page of results
per-pageinteger
Number of entries per page
totalinteger
Total entries across all pagess
total-pagesinteger
Number of pages

Response

Paginated accounts success response
invoice_emailslist of strings
citystring
account_default_colorstring
company_namestring
storageinteger
file_countinteger
ownerobject
User model
upload_urlstring
deleted_atstringformat: "date-time"
line1string
postal_codestring
vatstring
company_addressstring
lifetime_file_countinteger
statestring
teamslist of objects
image_64string
archived_storageinteger
image_128string
owner_idstringformat: "uuid"
user_countinteger
locked_atstringformat: "date-time"
imagestring
team_countinteger
collaborator_role_countinteger
billing_emailsstring
image_32string
unpaid_atstringformat: "date-time"
inserted_atstringformat: "date-time"
updated_atstringformat: "date-time"
project_countinteger
durationinteger
delinquent_atstringformat: "date-time"
collaborator_countinteger
planobject
watermarkobject
folder_countinteger
idstringformat: "uuid"
display_namestring
countrystring
subscriptionobject
account_memberslist of objects
framesinteger
member_countinteger
image_256string

Errors

401
Unauthorized Error